Doomsday Engine - Feature #1254

Portal based rendering
2003-08-01 08:34 - skyjake

Status: Rejected Start date: 2003-08-01
Priority: Normal % Done: 0%
Assignee:

Category:

Target version:

Description

| think if the renderer was changed so that a bsp

structure is not needed at runtime in favour of Portal

rendering (a la BUILD), it would allow for various

features planned in ver 2 ie:

Sector Over Sector

Sector's sharing the same world space

Slopes

Dynamic sectors that can move on the horizontal plane.

This would also make polyobjects redundant.

Labels: Data

Related issues:

Related to Feature #7: Next-gen renderer (codename "Gloom") Progressed 2003-07-10

History

#1 - 2003-08-01 18:05 - skyjake
Logged In: YES
user_id=717323

This is interesting. | will first have to study how exactly
the portals work, though. Doomsday 2.0 should use the best
method available.

#2 - 2003-08-15 19:46 - skyjake

(originally posted by anonymous SF.net user)
Logged In: NO

Good thinking. The possibility of a Buildsday is even closer
now. Two similiar but different engines. If SkyJake works on
Doom and someone translates and code's a Build version,
WOW.

#3 - 2013-10-20 21:27 - skyjake

- Tags set to MapData, Renderer, Geometry

- Subject changed from BSP structure - Change to Portal based rendering to Portal based rendering

#4 - 2016-08-09 10:49 - skyjake

- Status changed from New to Rejected
